Bug 26074 - slocate dies - Unable to handle kernel Null pointer defeference
slocate dies - Unable to handle kernel Null pointer defeference
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-05 08:18 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-08 18:12:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-05 08:18:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i586)

Fresh install of RH7.0 on Intel 810 mb with Piii 700 and 192 MB ram. 
slocate has run from cron twice now, crashed both times with similar
message.  I ran the slocate program manually and the system rebooted. 
slocate was updated to 2.4-1

Unable to handle kernel Null pointer dereference at virtual address
current->tss.cr3 = 0fb9d000, %cr3=04b9000
Oops: 0000
CPU:   0
EIP:   0010: [<c013253e>]
EFLAGS: 00010213
eax: 00000000  ebx: 000313c7   ecx: c025a4a8   edx: 00000000
esi: cbe9e200   edi: 000313c7   ebp: cbe9e200   esp: c6181f10
ds: 0018   es: 0018   ss: 0018
Process updatedb (pid: 4213, process nr: 46, stackpage = c6181000)
stack: c0132835 cbe9e200 000313c7 c025a4a8 000313c7 cb9b0d20 cbea9cb0
c013fedc cbe9e200 000313c7 fffffff4 cb9b0d20 cbea9cb0 cb3b7bd0 c01cc913
cbea9cb0 cb9b0d20 c6181f88 00000000 c14e5005 00000000 c012cb10 cbe840e0
Call Trace: [<c0132835>] [<c013fedc>] [<c012c913>] [<c012cb10>]
[<c012cbf8>] [<c
012ad1e>] [<c0109f58>]
Code: 39 70 68 75 0d 39 58 18 75 08 ff 40 1c eb 0b 8d 76 00 8b 12

Reproducible: Always
Steps to Reproduce:
1.  allow cron to run slocate
Comment 1 Bill Nottingham 2001-02-05 11:05:05 EST
slocate should not cause a kernel oops, no matter what it does.

Assigning to kernel; you may want to run that output through
'ksymoops' to provide more information.
Comment 2 Need Real Name 2001-02-05 21:40:20 EST
in case it helps, ksymoops output:
>>EIP; c013253e <find_inode+1a/38>   <=====
Trace; c0132835 <iget+31/60>
Trace; c013fedc <ext2_lookup+54/7c>
Trace; c012c913 <real_lookup+4f/a0>
Trace; c012cb10 <lookup_dentry+128/1e8>
Trace; c012cbf8 <__namei+28/58>
Trace; c012ad1e <sys_newlstat+e/60>
Trace; c0109f58 <system_call+34/38>
Trace; c010002b <startup_32+2b/11d>
Code;  c013253e <find_inode+1a/38>
00000000 <_EIP>:
Code;  c013253e <find_inode+1a/38>   <=====
   0:   39 70 68                  cmp    %esi,0x68(%eax)   <=====
Code;  c0132541 <find_inode+1d/38>
   3:   75 0d                     jne    12 <_EIP+0x12> c0132550
Code;  c0132543 <find_inode+1f/38>
   5:   39 58 18                  cmp    %ebx,0x18(%eax)
Code;  c0132546 <find_inode+22/38>
   8:   75 08                     jne    12 <_EIP+0x12> c0132550
Code;  c0132548 <find_inode+24/38>
   a:   ff 40 1c                  incl   0x1c(%eax)
Code;  c013254b <find_inode+27/38>
   d:   eb 0b                     jmp    1a <_EIP+0x1a> c0132558
Code;  c013254d <find_inode+29/38>
   f:   8d 76 00                  lea    0x0(%esi),%esi
Code;  c0132550 <find_inode+2c/38>
  12:   8b 12                     mov    (%edx),%edx
Comment 3 Michael K. Johnson 2001-02-08 18:12:35 EST
Alan thinks this is fixed in at least -ac6
Comment 4 Michael K. Johnson 2001-02-09 13:36:40 EST
Should be fixed in our current 2.4.1-ac8 based sources, so the next
rawhide release (2.4.1-0.1.1 or later) should fix this.   Please
re-open if this is not the case.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.